Subject: categories: Right adjoint of internal category functor?

From: Jason C Reed <[email-masked]>
Date: Tue, 2 Jan 2001 19:02:25 -0500 (EST)

Say Fcc is the category of all (small) finitely complete categories with
finite-limit-preserving functors as morphisms, and Int is the functor
which takes an object C of Fcc to the (finitely complete) category of
internal category objects* and internal functors in C, and takes an arrow
f : C -> D of Fcc to Int(f) defined by Int(f)(H, d_0, d_1, comp) := (f(h),
f(d_0), f(d_1), f(comp)).

Does Int have an obvious right adjoint, or does it at least preserve
colimits?

---Jason

* I honestly don't know what the most official definition of these are,
(and I can't get to a library for a couple weeks) but I had the one in
mind where an internal category is an object H of C, and arrows d_0,d_1 :
H -> H and comp : H \times_H H -> H satisfying the appropriate diagrams,
and internal functors are the obvious thing)